import * as React from 'react';
import { AxisIdentifier } from './GraphContext';
interface IProps {
    x: number;
    y: number;
    usePixelPositioning?: boolean;
    disallowSnapping?: boolean;
    axis?: AxisIdentifier;
    origin?: "upper-right" | "upper-left" | "upper-center" | "lower-right" | "lower-left" | "lower-center";
    offset?: number;
    childId: string;
    opacity?: number;
    setPosition?: (x: number, y: number) => void;
    onMouseMove?: (x: number, y: number) => void;
}
declare const Infobox: React.FunctionComponent<IProps>;
export default Infobox;
