import * as React from 'react';
import { LineStyle, AxisIdentifier } from './GraphContext';
import { PointNode } from './PointNode';
export interface IInteralProps extends IProps {
    reRender?: number;
}
export interface IProps {
    showPoints?: boolean;
    autoShowPoints?: boolean;
    legend?: string;
    highlightHover?: boolean;
    data: [number, number][];
    color: string;
    lineStyle: LineStyle;
    width?: number;
    axis?: AxisIdentifier;
}
export declare const InternalLine: React.ForwardRefExoticComponent<IInteralProps & React.RefAttributes<PointNode | null>>;
declare const Line: (props: IProps) => JSX.Element;
export default Line;
