import { IGraphContext, IActionFunctions, AxisIdentifier } from './GraphContext';
export interface IProps {
    data: [number, number];
    color: string;
    radius: number;
    borderColor?: string;
    borderThickness?: number;
    text?: string;
    opacity?: number;
    axis?: AxisIdentifier;
    onClick?: (actions: IActionFunctions) => void;
}
interface IContextlessProps {
    context: IGraphContext;
    circleProps: IProps;
}
export declare function ContextlessCircle(props: IContextlessProps): JSX.Element | null;
declare const Circle: (props: IProps) => JSX.Element;
export default Circle;
