import { FillStyle, AxisIdentifier } from './GraphContext';
export interface IProps {
    data: [number, number, number][];
    hue: number;
    saturation: number;
    fillStyle?: FillStyle;
    axis?: AxisIdentifier;
    legendUnit?: string;
    barAlign?: 'left' | 'center' | 'right';
    binSize?: number;
    sampleMs?: number;
}
declare function HeatMapChart(props: IProps): JSX.Element;
export default HeatMapChart;
