import * as React from 'react';
import { SelectType } from './GraphContext';
interface IProps {
    showZoom: boolean;
    showHorizontalZoom: boolean;
    showVerticalZoom: boolean;
    showPan: boolean;
    showReset: boolean;
    showSelect: boolean;
    showDownload: boolean;
    showCapture: boolean;
    currentSelection: SelectType;
    setSelection: (selection: ButtonType) => void;
    x: number;
    y: number;
    holdOpen?: boolean;
    heightAvaliable: number;
    setWidth: (w: number) => void;
    children: React.ReactNode;
}
type ButtonType = SelectType | 'reset' | 'download' | 'capture' | 'collaspe' | 'custom';
declare const InteractiveButtons: React.MemoExoticComponent<(props: IProps) => JSX.Element | null>;
export default InteractiveButtons;
