import * as React from 'react';
interface IProps {
    height: number;
    width: number;
    location: 'bottom' | 'right';
    graphHeight: number;
    graphWidth: number;
    RequestLegendWidth: (width: number) => void;
    RequestLegendHeight: (height: number) => void;
    SendMassCommand: (args: {
        requester: string;
        command: "disable-others" | "enable-all";
    }) => void;
    HideDisabled: boolean;
}
export declare const fontFamily = "Courier New";
declare function Legend(props: IProps): JSX.Element;
declare const _default: React.MemoExoticComponent<typeof Legend>;
export default _default;
