import * as React from 'react';
import { AxisIdentifier } from './GraphContext';
export interface IProps {
    xPos: number;
    yPos: number;
    usePixelPositioning?: {
        x?: boolean;
        y?: boolean;
    };
    radius: number;
    setPosition?: (x: number, y: number) => void;
    onHover?: () => void;
    axis?: AxisIdentifier;
    style?: React.CSSProperties;
}
declare const SymbolicMarker: React.FunctionComponent<IProps>;
export default SymbolicMarker;
