import * as React from 'react';
import { AxisIdentifier } from './GraphContext';
interface IProps {
    hAxis: number;
    hFactor: number;
    setHeightFactor: (h: number) => void;
    setWidthAxis: (w: number) => void;
    offsetTop: number;
    offsetBottom: number;
    offsetLeft: number;
    offsetRight: number;
    height: number;
    width: number;
    useFactor: boolean;
    showGrid?: boolean;
    label?: string;
    axis?: AxisIdentifier;
}
declare function ValueAxis(props: IProps): JSX.Element;
declare const _default: React.MemoExoticComponent<typeof ValueAxis>;
export default _default;
